"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.userTz = exports.utcTz = exports.itTz = exports.dayjs = void 0;
const tslib_1 = require("tslib");
const dayjs_1 = tslib_1.__importDefault(require("dayjs"));
const it_1 = tslib_1.__importDefault(require("dayjs/locale/it"));
const customParseFormat_1 = tslib_1.__importDefault(require("dayjs/plugin/customParseFormat"));
const duration_1 = tslib_1.__importDefault(require("dayjs/plugin/duration"));
const localizedFormat_1 = tslib_1.__importDefault(require("dayjs/plugin/localizedFormat"));
const minMax_1 = tslib_1.__importDefault(require("dayjs/plugin/minMax"));
const relativeTime_1 = tslib_1.__importDefault(require("dayjs/plugin/relativeTime"));
const timezone_1 = tslib_1.__importDefault(require("dayjs/plugin/timezone"));
const utc_1 = tslib_1.__importDefault(require("dayjs/plugin/utc"));
dayjs_1.default.locale(it_1.default.name);
dayjs_1.default.extend(utc_1.default);
dayjs_1.default.extend(customParseFormat_1.default);
dayjs_1.default.extend(timezone_1.default);
dayjs_1.default.extend(duration_1.default);
dayjs_1.default.extend(relativeTime_1.default);
dayjs_1.default.extend(minMax_1.default);
dayjs_1.default.extend(localizedFormat_1.default);
exports.dayjs = dayjs_1.default;
exports.itTz = 'Europe/Rome';
exports.utcTz = 'GMT';
exports.userTz = Intl.DateTimeFormat().resolvedOptions().timeZone;
